io.vertx.ext.auth

## Class PubSecKeyOptions

- java.lang.Object
- - io.vertx.ext.auth.PubSecKeyOptions

-     public class PubSecKeyOptions
      extends Object

  Options describing how a Cryptographic Key.
  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PubSecKeyOptions()` Default constructor
    `PubSecKeyOptions(JsonObject json)` Constructor to create an options from JSON
    `PubSecKeyOptions(PubSecKeyOptions other)` Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()`
    `String` | `getPublicKey()`
    `String` | `getSecretKey()`
    `boolean` | `isCertificate()`
    `boolean` | `isSymmetric()`
    `PubSecKeyOptions` | `setAlgorithm(String algorithm)`
    `PubSecKeyOptions` | `setCertificate(boolean certificate)`
    `PubSecKeyOptions` | `setPublicKey(String publicKey)`
    `PubSecKeyOptions` | `setSecretKey(String secretKey)`
    `PubSecKeyOptions` | `setSymmetric(boolean symmetric)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PubSecKeyOptions

          public PubSecKeyOptions()

      Default constructor

    - #### PubSecKeyOptions

          public PubSecKeyOptions(PubSecKeyOptions other)

      Copy constructor
      Parameters:
        `other` - the options to copy

    - #### PubSecKeyOptions

          public PubSecKeyOptions(JsonObject json)

      Constructor to create an options from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### getAlgorithm

          public String getAlgorithm()

    - #### setAlgorithm

          public PubSecKeyOptions setAlgorithm(String algorithm)

    - #### getPublicKey

          public String getPublicKey()

    - #### setPublicKey

          public PubSecKeyOptions setPublicKey(String publicKey)

    - #### getSecretKey

          public String getSecretKey()

    - #### setSecretKey

          public PubSecKeyOptions setSecretKey(String secretKey)

    - #### isSymmetric

          public boolean isSymmetric()

    - #### setSymmetric

          public PubSecKeyOptions setSymmetric(boolean symmetric)

    - #### isCertificate

          public boolean isCertificate()

    - #### setCertificate

          public PubSecKeyOptions setCertificate(boolean certificate)

Copyright © 2019 Eclipse. All rights reserved.